c===================================================================
      subroutine getstathd(ind,azimuth,lat,lon,elev)
c===================================================================
c     Modifications:
c          ignores # >AZIMUTH =    JAC Dec 4 1998
c===================================================================
      implicit none
      include 'ctrlblk.inc'

      integer ind
      real lat, lon, azimuth,elev

      integer ip, irewind, iaz, ilt, iln, iel,ips
      character*80 tag
      logical AZFOUND, LATFOUND, LONFOUND, ELEVFOUND

c===================================================================

      irewind=0
      azimuth =-999.
      lat=-999.
      lon = -999.
      AZFOUND=.FALSE.
      LATFOUND=.FALSE.
      LONFOUND=.FALSE.
      ELEVFOUND=.FALSE.

 100  continue
      read(ind,'(a)',end=1000,err=1100) tag
      ip=0
      iaz = index(tag,'>AZIMUTH')
      ilt = index(tag,'>LATITUDE')
      iln = index(tag,'>LONGITUDE')
      iel = index(tag,'>ELEVATION')
      ips = index(tag,'#')
      if((iaz.gt.0.and.iaz.lt.ips).or.
     $     (iaz.gt.0.and.ips.eq.0)) then
         ip=index(tag,'=')
         if(ip.gt.0) then
            AZFOUND=.TRUE.
            read(tag(ip+1:),*,err=2000)azimuth
            if(iprint.ge.1) then
               write(*,*)' getstathd: azimuth found: ',azimuth
            endif
         else
            write(*,*)' getstathd: missing = in >AZIMUTH tag'
         endif
      elseif((ilt.gt.0.and.ilt.lt.ips).or.
     $        (ilt.gt.0.and.ips.eq.0)) then
         ip=index(tag,'=')
         if(ip.gt.0) then
            LATFOUND=.TRUE.
            read(tag(ip+1:),'(f12.4)',err=2000)lat
            if(iprint.ge.1) then
               write(*,*)' getstathd: latitude found: ',lat
            endif
         else
            write(*,*)' getstathd: missing = in >LATITUDE tag'
         endif
      elseif((iln.gt.0.and.ilt.lt.ips).or.
     $        (iln.gt.0.and.ips.eq.0)) then
         ip=index(tag,'=')
         if(ip.gt.0) then
            LONFOUND=.TRUE.
            read(tag(ip+1:),'(f12.4)',err=2000)lon
            if(iprint.ge.1) then
               write(*,*)' getstathd: longitude found: ',lon
            endif
         else
            write(*,*)' getstathd: missing = in >LONGITUDE tag'
         endif
      elseif((iel.gt.0.and.iel.lt.ips).or.
     $        (iel.gt.0.and.ips.eq.0)) then
         ip=index(tag,'=')
         if(ip.gt.0) then
            ELEVFOUND=.TRUE.
            read(tag(ip+1:),'(f12.1)',err=2000)elev
            if(iprint.ge.1) then
               write(*,*)' getstathd: elev found: ',elev
            endif
         else
            write(*,*)' getstathd: missing = in >ELEVATION tag'
         endif
      endif
      if(AZFOUND.and.LATFOUND.and.LONFOUND.and.ELEVFOUND) then
         return
      else
         goto 100
      endif

c     --- end of file trap
 1000 continue
      irewind=irewind+1
      if(irewind.ge.2) then
         if(iprint.ge.1) then
            write(*,*) ' getstathd: unable to find all station'
     &           // ' header keywords'
         endif
         rewind ind
         return 
      else
         rewind ind
         goto 100
      endif

c     --- error on read trap
 1100 continue
      write(*,*)' getstathd: error during file read'
      return

c     --- internal read error trap
 2000 continue
      write(*,*)' getstathd: unable to convert string to float:',
     &     tag(ip:)
      return
      end


      subroutine wristathd(oud,azimuth,lat,lon,elev)
      implicit none
      include 'ctrlblk.inc'

      integer oud
      real lat, lon, azimuth,elev
      
c      if(azimuth.ge.-360..and.azimuth.le.360.) then
         write(oud,'(a12,f12.1)',err=1000) '>AZIMUTH   =', azimuth
c      endif
c      if(lat.ge.-90..and.lat.le.90.) then
         write(oud,'(a12,f12.4)',err=1000) '>LATITUDE  =', lat
c      endif
c      if(lon.ge.-360.and.lon.le.360.) then
         write(oud,'(a12,f12.4)',err=1000) '>LONGITUDE =', lon
c      endif
c      if(elev.ne.-999.) then
         write(oud,'(a12,f12.1)',err=1000) '>ELEVATION =', elev
c      endif
      return

 1000 continue
      write(*,*)' wristathd: error writing header'
      azimuth=-999.
      return

      end
